Debian Bug report logs - #533022
ghc6: Data.Word should define instances of Random for each type

version graph

Package: ghc; Maintainer for ghc is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for ghc is src:ghc.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Sat, 13 Jun 2009 19:48:04 UTC

Severity: wishlist

Tags: fixed-upstream, upstream

Fixed in version ghc/7.4.0.20111219-1

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://hackage.haskell.org/trac/ghc/ticket/3352

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@freedesktop.org, Kari Pahula <kaol@debian.org>:
Bug#533022; Package ghc6. (Sat, 13 Jun 2009 19:48:06 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ghc6: Data.Word should define instances of Random for each type
Date: Sat, 13 Jun 2009 12:39:07 -0700
Package: ghc6
Version: 6.10.3-2
Severity: wishlist
Tags: upstream

Data.Word defines signed and unsigned integer types for various bit
sizes.  It would help if Data.Word made each type an instance of Random.
Per <http://www.haskell.org/haskellwiki/Orphan_instance>, such an
instance should appear either in System.Random or Data.Word, and it
makes more sense to do the latter.

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.29-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ghc6 depends on:
ii  gcc                       4:4.3.3-8      The GNU C compiler
ii  libc6                     2.9-13         GNU C Library: Shared libraries
ii  libffi-dev                3.0.7-1        Foreign Function Interface library
ii  libffi5                   3.0.7-1        Foreign Function Interface library
ii  libgmp3-dev               2:4.3.1+dfsg-1 Multiprecision arithmetic library 
ii  libgmp3c2                 2:4.3.1+dfsg-1 Multiprecision arithmetic library
ii  perl [perl5]              5.10.0-23      Larry Wall's Practical Extraction 

ghc6 recommends no packages.

Versions of packages ghc6 suggests:
pn  ghc6-doc                      <none>     (no description available)
ii  ghc6-prof                     6.10.3-2   Profiling libraries for the Glasgo
pn  haskell-doc                   <none>     (no description available)

-- no debconf information




Changed Bug submitter from Josh Triplett <josh@freedesktop.org> to Josh Triplett <josh@joshtriplett.org>. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:56:33 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from Kari Pahula <kaol@debian.org> to control@bugs.debian.org. (Sun, 05 Jul 2009 14:27:03 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://hackage.haskell.org/trac/ghc/ticket/3352. Request was from Kari Pahula <kaol@debian.org> to control@bugs.debian.org. (Sun, 05 Jul 2009 14:27:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'ghc6' to 'ghc'. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 05:12:29 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ghc6/6.10.3-2. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 30 Mar 2011 05:12:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#533022; Package ghc. (Sat, 18 Jun 2011 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 18 Jun 2011 19:18:03 GMT) Full text and rfc822 format available.

Message #18 received at 533022@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Josh Triplett <josh@freedesktop.org>
Cc: 533022@bugs.debian.org
Subject: Re: ghc6: Data.Word should define instances of Random for each type
Date: Sat, 18 Jun 2011 21:15:26 +0200
[Message part 1 (text/plain, inline)]
Hi Josh,

Am Samstag, den 13.06.2009, 12:39 -0700 schrieb Josh Triplett:
> Package: ghc6
> Version: 6.10.3-2
> Severity: wishlist
> Tags: upstream
> 
> Data.Word defines signed and unsigned integer types for various bit
> sizes.  It would help if Data.Word made each type an instance of Random.
> Per <http://www.haskell.org/haskellwiki/Orphan_instance>, such an
> instance should appear either in System.Random or Data.Word, and it
> makes more sense to do the latter.

upstream says in http://hackage.haskell.org/trac/ghc/ticket/3352 that if
you want to have this feature, you should go through the process
outlined in http://www.haskell.org/haskellwiki/Library_submissions. Are
you interested in doing that?

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#533022; Package ghc. (Sat, 18 Jun 2011 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Triplett <josh@freedesktop.org>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Sat, 18 Jun 2011 21:45:03 GMT) Full text and rfc822 format available.

Message #23 received at 533022@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 533022@bugs.debian.org
Subject: Re: ghc6: Data.Word should define instances of Random for each type
Date: Sat, 18 Jun 2011 14:43:58 -0700
On Sat, Jun 18, 2011 at 09:15:26PM +0200, Joachim Breitner wrote:
> Hi Josh,
> 
> Am Samstag, den 13.06.2009, 12:39 -0700 schrieb Josh Triplett:
> > Package: ghc6
> > Version: 6.10.3-2
> > Severity: wishlist
> > Tags: upstream
> > 
> > Data.Word defines signed and unsigned integer types for various bit
> > sizes.  It would help if Data.Word made each type an instance of Random.
> > Per <http://www.haskell.org/haskellwiki/Orphan_instance>, such an
> > instance should appear either in System.Random or Data.Word, and it
> > makes more sense to do the latter.
> 
> upstream says in http://hackage.haskell.org/trac/ghc/ticket/3352 that if
> you want to have this feature, you should go through the process
> outlined in http://www.haskell.org/haskellwiki/Library_submissions. Are
> you interested in doing that?

Actually, it appears that this bug already got fixed in the upstream
repository for System.Random:

Fri Oct  8 06:52:39 PDT 2010  Bas van Dijk <v.dijk.bas@gmail.com>
  * Added Random instances for Int*, Word* and almost all types from Foreign.C.Types

However, this fix (and many other changes) has not yet appeared in a
version of random on Hackage or in the standard library.  So, it appears
that random just needs a new upstream release.

- Josh Triplett




Added tag(s) fixed-upstream. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Thu, 30 Jun 2011 17:30:02 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Thu, 22 Dec 2011 15:36:08 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Thu, 22 Dec 2011 15:36:08 GMT) Full text and rfc822 format available.

Message #30 received at 533022-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 533022-close@bugs.debian.org
Subject: Bug#533022: fixed in ghc 7.4.0.20111219-1
Date: Thu, 22 Dec 2011 15:33:00 +0000
Source: ghc
Source-Version: 7.4.0.20111219-1

We believe that the bug you reported is fixed in the latest version of
ghc, which is due to be installed in the Debian FTP archive:

ghc-doc_7.4.0.20111219-1_all.deb
  to main/g/ghc/ghc-doc_7.4.0.20111219-1_all.deb
ghc-dynamic_7.4.0.20111219-1_amd64.deb
  to main/g/ghc/ghc-dynamic_7.4.0.20111219-1_amd64.deb
ghc-haddock_7.4.0.20111219-1_amd64.deb
  to main/g/ghc/ghc-haddock_7.4.0.20111219-1_amd64.deb
ghc-prof_7.4.0.20111219-1_amd64.deb
  to main/g/ghc/ghc-prof_7.4.0.20111219-1_amd64.deb
ghc6-doc_7.4.0.20111219-1_all.deb
  to main/g/ghc/ghc6-doc_7.4.0.20111219-1_all.deb
ghc6-prof_7.4.0.20111219-1_all.deb
  to main/g/ghc/ghc6-prof_7.4.0.20111219-1_all.deb
ghc6_7.4.0.20111219-1_all.deb
  to main/g/ghc/ghc6_7.4.0.20111219-1_all.deb
ghc_7.4.0.20111219-1.debian.tar.gz
  to main/g/ghc/ghc_7.4.0.20111219-1.debian.tar.gz
ghc_7.4.0.20111219-1.dsc
  to main/g/ghc/ghc_7.4.0.20111219-1.dsc
ghc_7.4.0.20111219-1_amd64.deb
  to main/g/ghc/ghc_7.4.0.20111219-1_amd64.deb
ghc_7.4.0.20111219.orig.tar.bz2
  to main/g/ghc/ghc_7.4.0.20111219.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 533022@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated ghc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Dec 2011 14:34:50 +0100
Source: ghc
Binary: ghc ghc-prof ghc-doc ghc-dynamic ghc-haddock ghc6 ghc6-doc ghc6-prof
Architecture: source all amd64
Version: 7.4.0.20111219-1
Distribution: experimental
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 ghc        - The Glasgow Haskell Compilation system
 ghc-doc    - Documentation for the Glasgow Haskell Compilation system
 ghc-dynamic - Dynamic libraries for the Glasgow Haskell Compilation system
 ghc-haddock - Documentation tool for annotated Haskell source code
 ghc-prof   - Profiling libraries for the Glasgow Haskell Compilation system
 ghc6       - transitional dummy package
 ghc6-doc   - transitional dummy package
 ghc6-prof  - transitional dummy package
Closes: 514720 533022 635587
Changes: 
 ghc (7.4.0.20111219-1) experimental; urgency=low
 .
   * New upstream release (AKA 7.4.1-rc1)
     + Closes: #635587 (GHCi linker could not find libstdc++)
     + Closes: #514720 (cabal installation wrecks permissions) (was actually
       closed earlier, I think)
     + Closes: #533022 (Data.Word should define instances of Random for each
       type)
Checksums-Sha1: 
 ed0b0fbb80021270bf42ba400c15106c7b87373c 1662 ghc_7.4.0.20111219-1.dsc
 bc715499e13990f1d5a3784ff1ff9a901c5f6273 25821674 ghc_7.4.0.20111219.orig.tar.bz2
 c2c8b04a2ead14529f128ecc6e96a369fdd5bb29 44453 ghc_7.4.0.20111219-1.debian.tar.gz
 ee94fbb910dddfccf851bf6302a10b428508210d 14133704 ghc-doc_7.4.0.20111219-1_all.deb
 57202b097abe5bd3770fc7a0245b10c8309e0c3d 25564 ghc6_7.4.0.20111219-1_all.deb
 6f93e38b79d5ba0434bbf724c7e10889a152a070 25692 ghc6-doc_7.4.0.20111219-1_all.deb
 8f8676cb2ba720ebf66313993c8ec72d2a4e2595 25238 ghc6-prof_7.4.0.20111219-1_all.deb
 b703deac00a8e9c12492ae7266e8dedf41b7fae9 45564550 ghc_7.4.0.20111219-1_amd64.deb
 8006b99ba12cad6e92e1a962ae5accee782079fc 44161638 ghc-prof_7.4.0.20111219-1_amd64.deb
 cbe8426c1942a273ff92c024403a3c68bc01c6c1 20555558 ghc-dynamic_7.4.0.20111219-1_amd64.deb
 c78db5297ff969266e148f13461e1a167df57088 6682838 ghc-haddock_7.4.0.20111219-1_amd64.deb
Checksums-Sha256: 
 27adb38668f2fff2e1eceec97912f367a3fd98a2891d1a330f71e54befb1710a 1662 ghc_7.4.0.20111219-1.dsc
 d61ca3f6e99b2897fc45f6b01081e0cb4948fe32d08be076d129f3039e723586 25821674 ghc_7.4.0.20111219.orig.tar.bz2
 95ac686ba4c55bd2e23212319e4d884097f7ed9617ac5658f2d225c4feade9c3 44453 ghc_7.4.0.20111219-1.debian.tar.gz
 19517ff86608c713628e9187007cde199bc2382e80dec58c8734e83983a0eb73 14133704 ghc-doc_7.4.0.20111219-1_all.deb
 d4fe2bfce0c823d38fea1119a2f6cbefcb99fa480dda6ccce67b1f05b778da2a 25564 ghc6_7.4.0.20111219-1_all.deb
 c14892514898eedd7558adf494f3e529d50420e8cce8c05188ee587b1c9f63a5 25692 ghc6-doc_7.4.0.20111219-1_all.deb
 a4fc170ef712bc60de0cb123197bff099253e508def24ff921295a6c645c8720 25238 ghc6-prof_7.4.0.20111219-1_all.deb
 9056edbb313d9c389882da14fa7f20610464f321ce03282c47f638f7ad7dec65 45564550 ghc_7.4.0.20111219-1_amd64.deb
 615529eddfbfa92173d0acf433fa3e6902addb03c00b39c1a58c2ab208289ef7 44161638 ghc-prof_7.4.0.20111219-1_amd64.deb
 5d1586e6067fd881f41fe8af1cce1de2cd9efe678892df02e99d8cde89a3bdd9 20555558 ghc-dynamic_7.4.0.20111219-1_amd64.deb
 f0690f1f366ca4e9569fbf5e8c33864372f92ab5248e2220c4b08cd14ad29278 6682838 ghc-haddock_7.4.0.20111219-1_amd64.deb
Files: 
 4a3a420f924e881abb21e936194cb5b4 1662 haskell extra ghc_7.4.0.20111219-1.dsc
 f2684ad97948a02219a0402236a72d6e 25821674 haskell extra ghc_7.4.0.20111219.orig.tar.bz2
 f650a64a43bf2c8b5ccad9a904bc92fd 44453 haskell extra ghc_7.4.0.20111219-1.debian.tar.gz
 c72545ae42e4995831fdd63139d2942b 14133704 doc extra ghc-doc_7.4.0.20111219-1_all.deb
 c9a12b8fc7132f01e9a4100fd40146e5 25564 haskell extra ghc6_7.4.0.20111219-1_all.deb
 3e8e3b804075dd4a6d6dd23dd8a585ba 25692 doc extra ghc6-doc_7.4.0.20111219-1_all.deb
 6f2139316892a478a9966109b68ab8b1 25238 haskell extra ghc6-prof_7.4.0.20111219-1_all.deb
 18d974556748bace71337aeb3f1ea6e1 45564550 haskell extra ghc_7.4.0.20111219-1_amd64.deb
 7150511c06d3899232532d5927563ae4 44161638 haskell extra ghc-prof_7.4.0.20111219-1_amd64.deb
 30c5b3639201dea4a0d34b758b7fb5c9 20555558 haskell extra ghc-dynamic_7.4.0.20111219-1_amd64.deb
 4e65df7b116f7bb76a06227604273a0a 6682838 haskell extra ghc-haddock_7.4.0.20111219-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7zSs8ACgkQ9ijrk0dDIGznbwCfZytzgB/K5Nn1ZY77W5yA52dC
fd8An1pRZOxYr2TbKuMNkqWfcJST+aCe
=XbcA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jul 2012 07:36:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:37:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.